org.richfaces.request

## Class MultipartRequestParser

- java.lang.Object
- - org.richfaces.request.MultipartRequestParser

-     public final class MultipartRequestParser
      extends Object

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `UID_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartRequestParser(javax.servlet.http.HttpServletRequest request, boolean createTempFiles, String tempFilesDirectory)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.common.collect.Multimap<String,String>` | `getParameters()`
    `static String` | `getParameterValueFromQueryString(String queryString)`
    `Iterable<UploadedFile>` | `getUploadedFiles()`
    `void` | `parse()`
    `static String` | `parseFileName(String parseStr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UID_KEY

          public static final String UID_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MultipartRequestParser

          public MultipartRequestParser(javax.servlet.http.HttpServletRequest request,
                                        boolean createTempFiles,
                                        String tempFilesDirectory)

      Parameters:
        `request` -
        `createTempFiles` -
        `tempFilesDirectory` -
        `uploadId` -

  - ### Method Detail

    - #### getParameters

          public com.google.common.collect.Multimap<String,String> getParameters()

    - #### getUploadedFiles

          public Iterable<UploadedFile> getUploadedFiles()

    - #### parse

          public void parse()
                     throws FileUploadException

      Throws:
        `FileUploadException`

    - #### getParameterValueFromQueryString

          public static String getParameterValueFromQueryString(String queryString)

    - #### parseFileName

          public static String parseFileName(String parseStr)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.